SRU tracking bug for plasma 5.12.9 in Bionic

Bug #1843613 reported by Rik Mills on 2019-09-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kdeplasma-addons (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
ksysguard (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
kwin (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
milou (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-desktop (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
plasma-workspace (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

SRU tracking bug for KDE's Plasma 5.12.9 LTS for bionic

Official release announcement by the KDE community: https://www.kde.org/announcements/plasma-5.12.9.php

Complete changelog (excludes translation updates): https://www.kde.org/announcements/plasma-5.12.8-5.12.9-changelog.php

This time due to the small upstream list of packages with bugfixes, I am cherry-picking only 6 sources to SRU.

kdeplasma-addons
ksysguard
kwin
milou
plasma-desktop
plasma-workspace

[Impact]

 * Without this update, general users who are not inclined or able to add our backports/update ppa will not receive this bugfix release of the Plasma 5.12 LTS series

 * Providing this bugfix release via the official update pocket in the archive will ensure that the bugfixes here reach and benefit most of our users. This is particularly important for a Kubuntu and Plasma LTS release

[Test Case]

 * General tests:
  - Does plasma desktop start as normal with no apparent regressions over 5.12.8?
  - General workflow - testers should carry out their normal tasks, using the plasma features they normally do, and test common subsystems such as audio, settings changes, compositing, desktop affects, suspend etc.

 * Specific tests:
  - Check the changelog: https://www.kde.org/announcements/plasma-5.12.8-5.12.9-changelog.php
  - Identify items with front/user facing changes capable of specific testing. e.g. "[weather] Fix weather Notices tab not showing."
   - Test the 'fixed' functionality.

[Regression Potential]

 * These updates fix some obvious front facing issues, but may also include some underlying code fixes.
  - e.g. changes for compilation under Qt versions we do not ship yet, code optimizations and fixes with less obvious explanation of impact in the changelog,

 * Fixes for obvious and testable bugs and regressions can also introduce unintended other regressions in either the feature/app being fixed, or desktop components or subsystems that interact with it. So it is important in these updates to consider:

 * General testing - does the desktop as a whole, and routine use of such work as previously with no obvious regressions over the previous release.

 * If there is say a fix for the audio applet to fix one issue, in addition to fixing that issue, do the other common features of that app still work as before, do the general audio settings still work?

[Other Info]

 * Packages not listed in the upstream changelog either have a 0-diff or just translation updates. Those with translation updates have been included in this SRU.

Rik Mills (rikmills) wrote :

This time due to the small upstream list of packages with bugfixes, I am cherry-picking only 6 sources to SRU.

kdeplasma-addons
ksysguard
kwin
milou
plasma-desktop
plasma-workspace

description: updated
Rik Mills (rikmills) wrote :

Packages are now in the Bionic upload queue, awaiting checking by the Ubuntu SRU Team

Hello Rik, or anyone else affected,

Accepted kdeplasma-addons into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kdeplasma-addons/4:5.12.9-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in kdeplasma-addons (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted ksysguard into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ksysguard/4:5.12.9-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ksysguard (Ubuntu Bionic):
status: New → Fix Committed
Changed in kwin (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted kwin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kwin/4:5.12.9.1-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted milou into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/milou/4:5.12.9-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in milou (Ubuntu Bionic):
status: New → Fix Committed
Changed in plasma-desktop (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-desktop into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-desktop/4:5.12.9.1-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Rik, or anyone else affected,

Accepted plasma-workspace into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plasma-workspace/4:5.12.9-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in plasma-workspace (Ubuntu Bionic):
status: New → Fix Committed

All autopkgtests for the newly accepted kwin (4:5.12.9.1-0ubuntu0.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

ubiquity/unknown (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#kwin

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

On 12/09/2019 17:38, Ubuntu SRU Bot wrote:
> All autopkgtests for the newly accepted kwin (4:5.12.9.1-0ubuntu0.1) for bionic have finished running.
> The following regressions have been reported in tests triggered by the package:
>
> ubiquity/unknown (armhf)

This was just an armhf test runner having a 'moment', failing to connect
to the archives. All OK on a test retry.

Rik Mills (rikmills) wrote :

Testing done and results:

[SRU upgrade and general testing]

- Since the upload to bionic-proposed, I have been using the archive packages to continue testing. No regressions apparent on a bare metal desktop machine, or a VM.

[ Bugfix testing ]

- I have done the best I can to reproduce bugs, and verify that the bionic-proposed package fixes the these. All I have reasonably been able to reproduce on systems prior to upgrade, appear to be fixed in the SRU versions from proposed.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic

The verification of the Stable Release Update for kdeplasma-addons has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ksysguard - 4:5.12.9-0ubuntu0.1

---------------
ksysguard (4:5.12.9-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.9). (LP: #1843613)

 -- Rik Mills <email address hidden> Thu, 12 Sep 2019 10:41:18 +0100

Changed in ksysguard (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kwin - 4:5.12.9.1-0ubuntu0.1

---------------
kwin (4:5.12.9.1-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.9) (LP: #1843613)
  * New upstream bugfix release (5.12.9.1)
    - Fixes compilation of 5.12.9 with Qt 5.9

 -- Rik Mills <email address hidden> Thu, 12 Sep 2019 10:41:23 +0100

Changed in kwin (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-workspace - 4:5.12.9-0ubuntu0.1

---------------
plasma-workspace (4:5.12.9-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.9). (LP: #1843613)

 -- Rik Mills <email address hidden> Thu, 12 Sep 2019 10:41:44 +0100

Changed in plasma-workspace (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeplasma-addons - 4:5.12.9-0ubuntu0.1

---------------
kdeplasma-addons (4:5.12.9-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.9). (LP: #1843613)

 -- Rik Mills <email address hidden> Thu, 12 Sep 2019 10:41:13 +0100

Changed in kdeplasma-addons (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package milou - 4:5.12.9-0ubuntu0.1

---------------
milou (4:5.12.9-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.9). (LP: #1843613)

 -- Rik Mills <email address hidden> Thu, 12 Sep 2019 10:41:31 +0100

Changed in milou (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plasma-desktop - 4:5.12.9.1-0ubuntu0.1

---------------
plasma-desktop (4:5.12.9.1-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.9) (LP: #1843613)
  * New upstream bugfix release (5.12.9.1)
    - Adds missing include to fix compilation of 5.12.9

 -- Rik Mills <email address hidden> Thu, 12 Sep 2019 10:41:35 +0100

Changed in plasma-desktop (Ubuntu Bionic):
status: Fix Committed → Fix Released
Rik Mills (rikmills) on 2019-09-24
Changed in kdeplasma-addons (Ubuntu):
status: New → Fix Released
Changed in ksysguard (Ubuntu):
status: New → Fix Released
Changed in kwin (Ubuntu):
status: New → Fix Released
Changed in milou (Ubuntu):
status: New → Fix Released
Changed in plasma-desktop (Ubuntu):
status: New → Fix Released
Changed in plasma-workspace (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers